Recently, Apple released a MAC OS X security update 2010-004 / Mac OS X v10.6.4 which has created confusion among the apple users now. The security update includes a flash player, which is an old version of flash claims Adobe.

apple-mac-osx

In the release of this update, Apple came out with announcement saying that “Multiple issues exist in the Adobe Flash Player plug-in, the most serious of which may lead to unauthorized cross-domain requests. The issues are addressed by updating the Flash Player plug-in to version 10.0.45.2”

However, some time later, a tweet from Brad Arkin, its senior director of product security from Adobe came out saying “10.6.4 update for Mac OS X includes Flash Player, but not the latest version. Please make sure your FP is updated: http://bit.ly/bDLdcR

Adobe blog claims that the flash player used in the update is version 10.0.45.2 but latest version is available in Adobe now which is v10.1.53.64 and is claimed to be the most secure version of Flash Player. So, if you are a Mac user, you should check and upgrade to the latest version accordingly.

As given in the blog post on Adobe, “While the Mac OS X v10.6.4 update does not appear to downgrade users who have already upgraded to Adobe Flash Player 10.1, Adobe recommends users verify they are using the latest, most secure version of Flash Player (10.1.53.64).”

You can visit the Adobe Flash player About Page to check the latest secure version for all the Platforms: Adobe Flash Player Versions

Alternatively, download the latest flash player from the download link below:

Latest Flash Player Download

Are you a MAC user? Have you upgraded to the latest version of Abobe FP? What do you think about such kind of glitches from giant players like Apple.

1 COMMENT

LEAVE A REPLY

Please enter your comment!
Please enter your name here